Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer.scheduler
Interface AbstractSchedulerMBean

All Superinterfaces:
  SchedulerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  MinAvgSchedulerServiceMBean, RoundRobinSchedulerServiceMBean, WeightedLeastConnectionSchedulerServiceMBean

All Known Implementing Classes:
  AbstractScheduler, MinAvgSchedulerService, RoundRobinSchedulerService, WeightedLeastConnectionSchedulerService

public interface AbstractSchedulerMBean
extends org.jboss.system.ServiceMBean, SchedulerMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`Host` | `addHost(String hostString)` Add a host to the up list.
`ArrayList` | `getHostsDown()` Get the list of all hosts that have been marked down.
`ArrayList` | `getHostsUp()` Get the list of all hosts that have been marked up.
`void` | `removeHost(URL url)` Remove a host from the up list.
`void` | `setConfig(Element config)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.web.loadbalancer.scheduler.SchedulerMBean
`getHost`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### setConfig

    public void setConfig(Element config)

### getHostsDown

    public ArrayList getHostsDown()

  Get the list of all hosts that have been marked down.

### getHostsUp

    public ArrayList getHostsUp()

  Get the list of all hosts that have been marked up.

### addHost

    public Host addHost(String hostString)
                 throws MalformedURLException

  Add a host to the up list.

  Throws:
    `MalformedURLException`

### removeHost

    public void removeHost(URL url)

  Remove a host from the up list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.